[toc]

## A real custom emoji reaction from Firefish (Misskey)
```json
{
  "@context": [
    "https://www.w3.org/ns/activitystreams",
    "https://w3id.org/security/v1",
    {
      "manuallyApprovesFollowers": "as:manuallyApprovesFollowers",
      "movedToUri": "as:movedTo",
      "sensitive": "as:sensitive",
      "Hashtag": "as:Hashtag",
      "quoteUri": "fedibird:quoteUri",
      "quoteUrl": "as:quoteUrl",
      "toot": "http://joinmastodon.org/ns#",
      "Emoji": "toot:Emoji",
      "featured": "toot:featured",
      "discoverable": "toot:discoverable",
      "schema": "http://schema.org#",
      "PropertyValue": "schema:PropertyValue",
      "value": "schema:value",
      "misskey": "https://misskey-hub.net/ns#",
      "_misskey_content": "misskey:_misskey_content",
      "_misskey_quote": "misskey:_misskey_quote",
      "_misskey_reaction": "misskey:_misskey_reaction",
      "_misskey_votes": "misskey:_misskey_votes",
      "_misskey_talk": "misskey:_misskey_talk",
      "isCat": "misskey:isCat",
      "fedibird": "http://fedibird.com/ns#",
      "vcard": "http://www.w3.org/2006/vcard/ns#"
    }
  ],
  "type": "Like",
  "id": "https://infosec.town/likes/9m179ppwpxw2zyxh",
  "actor": "https://infosec.town/users/9it29hk7ks4izre2",
  "object": "https://activitypub.academy/users/donulius_bahes/statuses/111405637735369717",
  "content": ":5883-blob:",
  "_misskey_reaction": ":5883-blob:",
  "tag": [
    {
      "id": "https://infosec.town/emojis/5883-blob",
      "type": "Emoji",
      "name": ":5883-blob:",
      "updated": "2023-08-21T20:47:07.908Z",
      "icon": {
        "type": "Image",
        "mediaType": "image/gif",
        "url": "https://media.infosec.town/media/3635f3e3-33ad-448c-b0a2-ac7aa3ea4500.gif"
      }
    }
  ]
}
```

## A real Unicode emoji reaction from Firefish (Misskey)
```json
{
  "@context": [
    "https://www.w3.org/ns/activitystreams",
    "https://w3id.org/security/v1",
    {
      "manuallyApprovesFollowers": "as:manuallyApprovesFollowers",
      "movedToUri": "as:movedTo",
      "sensitive": "as:sensitive",
      "Hashtag": "as:Hashtag",
      "quoteUri": "fedibird:quoteUri",
      "quoteUrl": "as:quoteUrl",
      "toot": "http://joinmastodon.org/ns#",
      "Emoji": "toot:Emoji",
      "featured": "toot:featured",
      "discoverable": "toot:discoverable",
      "schema": "http://schema.org#",
      "PropertyValue": "schema:PropertyValue",
      "value": "schema:value",
      "misskey": "https://misskey-hub.net/ns#",
      "_misskey_content": "misskey:_misskey_content",
      "_misskey_quote": "misskey:_misskey_quote",
      "_misskey_reaction": "misskey:_misskey_reaction",
      "_misskey_votes": "misskey:_misskey_votes",
      "_misskey_talk": "misskey:_misskey_talk",
      "isCat": "misskey:isCat",
      "fedibird": "http://fedibird.com/ns#",
      "vcard": "http://www.w3.org/2006/vcard/ns#"
    }
  ],
  "type": "Like",
  "id": "https://infosec.town/likes/9m179advkb59tfav",
  "actor": "https://infosec.town/users/9it29hk7ks4izre2",
  "object": "https://activitypub.academy/users/donulius_bahes/statuses/111405637735369717",
  "content": "😮",
  "_misskey_reaction": "😮"
}
```

## A real custom emoji reaction from Akkoma (Pleroma)
```json
{
  "@context": [
    "https://www.w3.org/ns/activitystreams",
    "https://tailswish.industries/schemas/litepub-0.1.jsonld",
    {
      "@language": "und"
    }
  ],
  "actor": "https://tailswish.industries/users/tulpa",
  "bcc": [],
  "bto": [],
  "cc": [
    "https://www.w3.org/ns/activitystreams#Public"
  ],
  "content": ":ablobfoxbongo:",
  "context": "tag:activitypub.academy,2023-11-13:objectId=19118:objectType=Conversation",
  "id": "https://tailswish.industries/activities/45d7524e-9456-44aa-b0eb-4ca032b85b73",
  "object": "https://activitypub.academy/users/donulius_bahes/statuses/111405637735369717",
  "tag": [
    {
      "icon": {
        "type": "Image",
        "url": "https://tailswish.industries/emoji/blobfox/ablobfoxbongo.png"
      },
      "id": "https://tailswish.industries/emoji/blobfox/ablobfoxbongo.png",
      "name": "ablobfoxbongo",
      "type": "Emoji"
    }
  ],
  "to": [
    "https://activitypub.academy/users/donulius_bahes",
    "https://tailswish.industries/users/tulpa/followers"
  ],
  "type": "EmojiReact"
}
```